
'use strict';

var $ = require('common:widget/lib/jquery/jquery');
require('./poup.scss');

var html = '<div class="poup">'+
    '<div class="poup-box">'+
    '<a class="poup-close"></a>'+
    '<section></section>'+
    '</div>'+
    '<div class="poup-bg"></div>'+
    '</div>';

var promptsDom = '<div class="poup">'+
    '<div class="prompts-box">'+
    '<section></section>'+
    '<div class="i-know-btn">我知道了</div>'+
    '</div>'+
    '<div class="poup-bg"></div>'+
    '</div>';

class Poup{
    alert(message){
        let $el = $(html);

        let opt = {
            box: $el.find('.poup-box'),
            title: $el.find('header'),
            content: $el.find('section'),
            btn: $el.find('.poup-button'),
            close: $el.find('.poup-close')
        };

        if( opt.content.length > 0 ){
            opt.content.html( message );
            opt.content.show();
        }

        $el.appendTo('body');
        $el.show();

        opt.box.css({
            'margin-top': -opt.box.innerHeight()/2
        });

        opt.close.bind('click',function(){
            $(this).parents('.poup').hide();
        });

        opt.btn.bind('click',function(){
            $(this).parents('.poup').hide();
        });
    }
    //弹窗提示新样式
    prompts(message){
        let $el = $(promptsDom);

        let opt = {
            box: $el.find('.prompts-box'),
            content: $el.find('section'),
            btn: $el.find('.i-know-btn'),
            close: $el.find('.poup-close')
        };

        if( opt.content.length > 0 ){
            opt.content.html( message );
            opt.content.show();
        }

        $el.appendTo('body');
        $el.show();

        opt.box.css({
            'margin-top': -opt.box.innerHeight()/2
        });

        opt.close.bind('click',function(){
            $(this).parents('.poup').hide();
        });

        opt.btn.bind('click',function(){
            $(this).parents('.poup').hide();
        });
    }
}

let POUP = new Poup();
module.exports = POUP;


