/**
 * 基金工具类
 *
 *
 * **/

var utils = {
    //A-近1月涨跌幅,B-近3月涨跌幅,C-近6月涨跌幅,D-近1年涨跌幅,E-成立以来涨跌幅,F-年化收益率,G-年初至今涨跌幅
    getPoType: function(type) {
        type = type.toUpperCase();
        let poTypeEN = "";
        let poTypeCH = "";
        switch(type) {

            case 'A':
                poTypeEN = "rateMonth";
                poTypeCH = "近1月涨跌幅";
                break;
            case 'B':
                poTypeEN = "rateSeason";
                poTypeCH = "近3月涨跌幅";
                break;
            case 'C':
                poTypeEN = "rateHalfYear";
                poTypeCH = "近6月涨跌幅";
                break;
            case 'D':
                poTypeEN = "rateYear";
                poTypeCH = "近1年涨跌幅";
                break;
            case 'E':
                poTypeEN = "--";
                poTypeCH = "成立以来涨跌幅";
                break;
            case 'F':
                poTypeEN = "--";
                poTypeCH = "年化收益率";
                break;
            case 'G':
                poTypeEN = "--";
                poTypeCH = "年初至今涨跌幅";
                break;
            default:
                poTypeEN = "rateYear";
                poTypeCH = "近1年涨跌幅";
                break;
        }

        return  {
            poTypeEN,
            poTypeCH
        };

    }

};


module.exports = utils;