/**
 * Created by jess on 16/8/19.
 */




const glpbCommon = require('glpb-components-common');

const BaseComponent = glpbCommon.BaseComponent;

//加载 CSS3 动画
require('./scss-common/animation.scss');
//加载轮播图的样式
require('./components/glpb-carousel/glpb-carousel.scss');

const bridgeXXX = require('@we-fe/rrd-bridge');

const Swiper = require('./lib/swiper/swiper.js');

const SwiperItem = require('./components/swiper-item/swiper-item.js');

const SwiperContainer = require('./components/swiper-container/swiper-container.js');

const AppDownloadBtn = require('./components/app-download-btn/app-download-btn.js');
const DoubleDownloadBtn = require('./components/double-download-btn/double-download-btn.js');

const newerStyle1Item = require('./components/newer-item-style1/newer-item-style1');
const premiumStyle1Item = require('./components/premium-item-style1/premium-item-style1');

const SelectImage = require('./components/select-image/select-image');
const InviterInfo = require('./components/inviter-info/inviter-info');

const VideoBox = require('./components/lp-video-box/lp-video-box');
const ScrollBar = require('./components/loan-scroll-bar/loan-scroll-bar');

const StatisticBox = require('./components/statistics-box/statistics-box');
const MgmShareBtn= require('./components/mgm-share-btn/mgm-share-btn');
const FixedShareBtn= require('./components/fixed-share-btn/fixed-share-btn');

const LpRegisterGroup2 = require('./components/lp-register-group2/lp-register-group2.js');
const LpRegisterGroup20 = require('./components/lp-register-group20/lp-register-group20.js');

const FixedRegisterBtn= require('./components/fixed-register-btn/fixed-register-btn.js');
const BackToTop = require('./components/back-to-top/back-to-top.js');
//U享计划
const UPlanItem = require('./components/uplan-item/uplan-item.js');

module.exports = {
    bridgeXXX,
    Swiper,
    SwiperItem,
    SwiperContainer,
    AppDownloadBtn,
    DoubleDownloadBtn,
    SelectImage,
    VideoBox,
    ScrollBar,
    newerStyle1Item,
    premiumStyle1Item,
    UPlanItem,
    StatisticBox,
    MgmShareBtn,
    FixedShareBtn,
    InviterInfo,
    LpRegisterGroup2,
    LpRegisterGroup20,
    FixedRegisterBtn,
    BackToTop,
};
