/**
 * 组合工具类
 *
 *
 * **/

var utils = {
    //A-近1天涨跌幅,B-近1周涨跌幅,C-近1月涨跌幅,D-近3月涨跌幅,E-近6月涨跌幅,
    //F-近1年涨跌幅,G-成立以来涨跌幅,H-年化收益率,J-年初至今涨跌幅
    getPoType: function(type) {
        type = type.toUpperCase();
        let poTypeEN = "";
        let poTypeCH = "";
        switch(type) {
            case 'A':
                poTypeEN = "dailyReturn";
                poTypeCH = "近1天涨跌幅";
                break;
            case 'B':
                poTypeEN = "weeklyReturn";
                poTypeCH = "近1周涨跌幅";
                break;
            case 'C':
                poTypeEN = "monthlyReturn";
                poTypeCH = "近1月涨跌幅";
                break;
            case 'D':
                poTypeEN = "quarterlyReturn";
                poTypeCH = "近3月涨跌幅";
                break;
            case 'E':
                poTypeEN = "halfYearlyReturn";
                poTypeCH = "近6月涨跌幅";
                break;
            case 'F':
                poTypeEN = "yearlyReturn";
                poTypeCH = "近1年涨跌幅";
                break;
            case 'G':
                poTypeEN = "fromSetupReturn";
                poTypeCH = "成立以来涨跌幅";
                break;
            case 'H':
                poTypeEN = "annualCompoundedReturn";
                poTypeCH = "年化收益率";
                break;
            case 'J':
                poTypeEN = "--";
                poTypeCH = "年初至今涨跌幅";
                break;
            default:
                poTypeEN = "annualCompoundedReturn";
                poTypeCH = "年化收益率";
                break;
        }

        return  {
            poTypeEN,
            poTypeCH
        };

    }

};


module.exports = utils;